Bug 1238807 - the name/type of devices to use for Ceph on the OSDs nodes should support non-homogeneous disk topologies across the nodes
Summary: the name/type of devices to use for Ceph on the OSDs nodes should support non...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ga
: 8.0 (Liberty)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On: 1236143
Blocks: 1191185 1243520
TreeView+ depends on / blocked
 
Reported: 2015-07-02 16:23 UTC by Giulio Fidente
Modified: 2016-04-07 21:37 UTC (History)
14 users (show)

(edit)
This enhancement enables the distribution of per-node hieradata, matching the nodes from their UUID (as reported by 'dmidecode').
This allows you to scale CephStorage across nodes equipped with a different number/type of disks.
As a result, CephStorage nodes can now be configured with non-homogeneous disk topologies. This is done by provisioning a different configuration hash for the ceph::profile::params::osds parameter.
Clone Of:
(edit)
Last Closed: 2016-04-07 21:37:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0604 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 director Enhancement Advisory 2016-04-08 01:03:56 UTC
OpenStack gerrit 215013 None None None Never
OpenStack gerrit 215116 None None None Never
OpenStack gerrit 227978 None None None Never

Description Giulio Fidente 2015-07-02 16:23:08 UTC
Description of problem:
currently the name/type of devices usable by Ceph on the OSDs nodes resides in a hieradata file [1] and defaults to /srv/data

this can be edited into a hash, like [2], but it can't be passed as parameter to heat directly; we should probably make it a parameter instead and remove it from hieradata

1. https://github.com/openstack/tripleo-heat-templates/blob/master/puppet/hieradata/ceph.yaml#L6

2. https://github.com/stackforge/puppet-ceph/blob/master/examples/nodes/first.yaml

Comment 6 Mike Burns 2015-08-31 19:01:07 UTC
patch 211935 superseded by 

https://review.openstack.org/#/c/215013/
and
https://review.openstack.org/#/c/215116/

Comment 8 Dan Prince 2015-09-21 20:12:48 UTC
The commit message here describes nicely how to test this:

https://review.openstack.org/#/c/215599/3

If you create a custom environment as described in that commit message it should allow you to override the Ceph storage node device on each node.

Comment 9 Karthik Prabhakar 2015-09-21 20:20:42 UTC
Does this include the ability to specify the name of a journal device as well (especially when the journal needs to be on a different device from the Ceph data disk - for e.g., when one or more SSD's need to be used for journal)?

Comment 11 Luigi Toscano 2015-09-25 18:39:54 UTC
It is not possible to set specific values on Ceph nodes; the new upstream patch https://review.openstack.org/#/c/215599/ (found after a bit of debugging) addresses this problem. Moving to ASSIGNED for now.

Comment 16 Yogev Rabl 2016-03-03 11:23:45 UTC
verified on 
openstack-tripleo-heat-templates-0.8.8-2.el7ost.noarch

Comment 18 errata-xmlrpc 2016-04-07 21:37:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0604.html


Note You need to log in before you can comment on or make changes to this bug.